{% extends 'base.html' %}
{% load static %}

<div class="atass">
    <h1 class="judul">List of Activity</h1>
</div>
{% block content %}

<div style="margin-right: 55px; margin-left: 50px; margin-bottom: 40px;">
    <form id="form" method="POST" action="/story6/submit-kegiatan" enctype="multipart/form-data">
        {% csrf_token %}
        <div class="form-group" style="font-weight: bold;">
            {{ forms.form_kegiatan.as_p }}
        </div>
        <br>
        <button type="submit" class="btn rounded-pill" style="background-color:#a3daff" id="bton">New Activity</button>
    </form>
</div>

<div class="row">
    {% for kegiatan in data.kegiatan %}

    <div class="col-md-4 mb-4">
        <div class="card" style="max-width: 18rem; text-align: center; margin: 0 auto; float: none; margin-bottom: 10px;">
            <div class="card-header" style="font-weight: bold; background-color: #000000;">
                <h5 class="card-title" style="color: white; font-weight: bold;">{{ kegiatan.nama }} </h5>
            </div>

            <div class="card-body">
                <p style="font-weight: bold;">Registered:</p>

                {% for pendaftar in data.pendaftar %}
                <ul class="list-group list-group-flush">
                    {% if pendaftar.kegiatan.nama == kegiatan.nama %}
                    <li  class=" list-group-item"> {{ pendaftar.nama }}</li>
                    {% endif %}
                </ul>
                {% endfor %}
            </div>

            <form id="form" method="POST"  action="/story6/submit-pendaftar/{{ kegiatan.id }}"
                enctype="multipart/form-data">
                {% csrf_token %}
                <div class="form-group" style="padding: 5px; background-color: #a3beff;" >
                    {{ forms.form_pendaftar.as_p }}
                </div>
                <br>
                <button type="submit" class="btn rounded-pill" style="background-color:#a3beff" id="bton">Add Member</button>
                <div style="height: 5px;"></div>
            </form>
            <a href="/story6/delete/{{ kegiatan.nama }}" style="padding-bottom: 50px;">
                <button type="submit" class="btn rounded-pill" style="background-color:#bfe5ff">Delete Activity</button>
            </a>
        </div>
    </div>

    {% endfor %}
</div>
{% endblock %}
